# Node.js 12 ChangeLog

<!--lint disable prohibited-strings-->
<!--lint disable maximum-line-length-->

<table>
<tr>
<th>Current</th>
</tr>
<tr>
<td>
<a href="#12.0.0">12.0.0</a><br/>
</td>
</tr>
</table>

* Other Versions
  * [11.x](CHANGELOG_V11.md)
  * [10.x](CHANGELOG_V10.md)
  * [9.x](CHANGELOG_V9.md)
  * [8.x](CHANGELOG_V8.md)
  * [7.x](CHANGELOG_V7.md)
  * [6.x](CHANGELOG_V6.md)
  * [5.x](CHANGELOG_V5.md)
  * [4.x](CHANGELOG_V4.md)
  * [0.12.x](CHANGELOG_V012.md)
  * [0.10.x](CHANGELOG_V010.md)
  * [io.js](CHANGELOG_IOJS.md)
  * [Archive](CHANGELOG_ARCHIVE.md)

<a id="11.0.0"></a>
## 2019-04-23, Version 12.0.0 (Current), @BethGriggs

### Notable Changes

* **assert**:
    * adjust loose assertions (Ruben Bridgewater) [#25008](https://github.com/nodejs/node/pull/25008)
    * improve performance to instantiate errors (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
    * validate required arguments (Ruben Bridgewater) [#26641](https://github.com/nodejs/node/pull/26641)
* **async_hooks**:
    * remove deprecated emitBefore and emitAfter (Matteo Collina) [#26530](https://github.com/nodejs/node/pull/26530)
    * remove promise object from resource (Andreas Madsen) [#23443](https://github.com/nodejs/node/pull/23443)
* **bootstrap**: make Buffer and process non-enumerable (Ruben Bridgewater) [#24874](https://github.com/nodejs/node/pull/24874)
* **buffer**:
    * do proper error propagation in addon methods (Anna Henningsen) [#23939](https://github.com/nodejs/node/pull/23939)
    * harden SlowBuffer creation (ZYSzys) [#26272](https://github.com/nodejs/node/pull/26272)
    * harden validation of buffer allocation size (ZYSzys) [#26162](https://github.com/nodejs/node/pull/26162)
* **build**:
    * add common `defines` (Refael Ackermann) [#23426](https://github.com/nodejs/node/pull/23426)
    * remove mips support (Ben Noordhuis) [#26192](https://github.com/nodejs/node/pull/26192)
    * reset embedder string to "-node.0" (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
    * reset embedder string to "-node.0" (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * update prerequisites on progress towards Python 3 (cclauss) [#25766](https://github.com/nodejs/node/pull/25766)
    * add `NOMINMAX` to V8 Windows builds (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
    * fix V8 snapshot gyp dependencies (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
    * mark x86 image as not SAFESEH (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
    * quiet/pretty make output by default (Refael Ackermann) [#26740](https://github.com/nodejs/node/pull/26740)
* **console**: don't use ANSI escape codes when TERM=dumb (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
* **crypto**:
    * move DEP0113 to End-of-Life (Tobias Nießen) [#26249](https://github.com/nodejs/node/pull/26249)
    * remove deprecated crypto.\_toBuf (Tobias Nießen) [#25338](https://github.com/nodejs/node/pull/25338)
    * set `DEFAULT\_ENCODING` property to non-enumerable (Antoine du Hamel) [#23222](https://github.com/nodejs/node/pull/23222)
* **deps**:
    * V8: cherry-pick 58cefed (Jon Kunkee) [#25852](https://github.com/nodejs/node/pull/25852)
    * V8: cherry-pick 74571c8 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * V8: cherry-pick 7803fa6 (Jon Kunkee) [#25852](https://github.com/nodejs/node/pull/25852)
    * V8: cherry-pick d3308d0 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#19794](https://github.com/nodejs/node/pull/19794)
    * bump minimum icu version to 63 (Ujjwal Sharma) [#25852](https://github.com/nodejs/node/pull/25852)
    * cherry-pick fc0ddf5 from upstream V8 (Anna Henningsen) [#25852](https://github.com/nodejs/node/pull/25852)
    * silence irrelevant V8 warnings (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * sync V8 gypfiles with 7.1 (Refael Ackermann) [#23423](https://github.com/nodejs/node/pull/23423)
    * sync V8 gypfiles with 7.2 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * sync V8 gypfiles with 7.3 (Ujjwal Sharma) [#25852](https://github.com/nodejs/node/pull/25852)
    * update V8 to 7.1.302.28 (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
    * update V8 to 7.3.492.25 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* **errors**: update error name (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* **fs**:
    * detect if symlink target is a directory (Bartosz Sosnowski) [#23724](https://github.com/nodejs/node/pull/23724)
    * harden validation of start option in createWriteStream (ZYSzys) [#25579](https://github.com/nodejs/node/pull/25579)
    * improve mode validation (Ruben Bridgewater) [#26575](https://github.com/nodejs/node/pull/26575)
    * make writeFile consistent with readFile wrt fd (Sakthipriyan Vairamani (thefourtheye)) [#23709](https://github.com/nodejs/node/pull/23709)
    * use proper .destroy() implementation for SyncWriteStream (Matteo Collina) [#26690](https://github.com/nodejs/node/pull/26690)
* **http**:
    * change DEP0066 to a runtime deprecation (Morgan Roderick) [#24167](https://github.com/nodejs/node/pull/24167)
    * else case is not reachable (szabolcsit) [#24176](https://github.com/nodejs/node/pull/24176)
    * return HTTP 431 on HPE\_HEADER\_OVERFLOW error (Albert Still) [#25605](https://github.com/nodejs/node/pull/25605)
    * switch default parser to llhttp (Anna Henningsen) [#24870](https://github.com/nodejs/node/pull/24870)
    * validate timeout in ClientRequest() (cjihrig) [#26214](https://github.com/nodejs/node/pull/26214)
* **lib**:
    * deprecate \_stream\_wrap (Sam Roberts) [#26245](https://github.com/nodejs/node/pull/26245)
    * don't use `util.inspect()` internals (Ruben Bridgewater) [#24971](https://github.com/nodejs/node/pull/24971)
    * improve error message for MODULE\_NOT\_FOUND (Ali Ijaz Sheikh) [#25690](https://github.com/nodejs/node/pull/25690)
    * move DEP0006 to end of life (cjihrig) [#25279](https://github.com/nodejs/node/pull/25279)
    * move DEP0023 to end of life (cjihrig) [#25280](https://github.com/nodejs/node/pull/25280)
    * move DEP0026 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
    * move DEP0027 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
    * move DEP0028 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
    * move DEP0029 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
    * move DEP0120 to end of life (cjihrig) [#24862](https://github.com/nodejs/node/pull/24862)
    * move DTRACE\_\* probes out of global scope (James M Snell) [#26541](https://github.com/nodejs/node/pull/26541)
    * refactor Error.captureStackTrace() usage (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
    * remove `inherits()` usage (Ruben Bridgewater) [#24755](https://github.com/nodejs/node/pull/24755)
    * remove unintended access to deps/ (Anna Henningsen) [#25138](https://github.com/nodejs/node/pull/25138)
    * requireStack property for MODULE\_NOT\_FOUND (Ali Ijaz Sheikh) [#25690](https://github.com/nodejs/node/pull/25690)
    * use ES6 class inheritance style (Ruben Bridgewater) [#24755](https://github.com/nodejs/node/pull/24755)
    * don't search in require.resolve.paths (cjihrig) [#23683](https://github.com/nodejs/node/pull/23683)
    * deprecate \_setSimultaneousAccepts() undocumented function (James M Snell) [#23760](https://github.com/nodejs/node/pull/23760)
    * validate Error.captureStackTrace() calls (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* **n-api**: remove code from error name (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* **net**:
    * emit "write after end" errors in the next tick (Ouyang Yadong) [#24457](https://github.com/nodejs/node/pull/24457)
    * merge setTimeout code (ZYSzys) [#25084](https://github.com/nodejs/node/pull/25084)
* **os**: implement os.type() using uv\_os\_uname() (cjihrig) [#25659](https://github.com/nodejs/node/pull/25659)
* **process**:
    * exit on --debug and --debug-brk after option parsing (Joyee Cheung) [#25828](https://github.com/nodejs/node/pull/25828)
    * improve `--redirect-warnings` handling (Ruben Bridgewater) [#24965](https://github.com/nodejs/node/pull/24965)
    * move DEP0062 (node --debug) to end-of-life (Joyee Cheung) [#25828](https://github.com/nodejs/node/pull/25828)
* **readline**: support TERM=dumb (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
* **repl**:
    * check colors with .getColorDepth() (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
    * deprecate REPLServer.rli (Ruben Bridgewater) [#26260](https://github.com/nodejs/node/pull/26260)
* **src**:
    * clean up MultiIsolatePlatform interface (Anna Henningsen) [#26384](https://github.com/nodejs/node/pull/26384)
    * explicitly allow JS in ReadHostObject (Yang Guo) [#23423](https://github.com/nodejs/node/pull/23423)
    * properly configure default heap limits (Ali Ijaz Sheikh) [#25576](https://github.com/nodejs/node/pull/25576)
    * remove `AddPromiseHook()` (Anna Henningsen) [#26574](https://github.com/nodejs/node/pull/26574)
    * remove icuDataDir from node config (GauthamBanasandra) [#24780](https://github.com/nodejs/node/pull/24780)
    * update NODE\_MODULE\_VERSION to 68 (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
    * update NODE\_MODULE\_VERSION to 71 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
    * update postmortem constant (cjihrig) [#23423](https://github.com/nodejs/node/pull/23423)
* **tls**:
    * add code for ERR\_TLS\_INVALID\_PROTOCOL\_METHOD (Sam Roberts) [#24729](https://github.com/nodejs/node/pull/24729)
    * check arg types of renegotiate() (Sam Roberts) [#25876](https://github.com/nodejs/node/pull/25876)
    * deprecate Server.prototype.setOptions() (cjihrig) [#23820](https://github.com/nodejs/node/pull/23820)
    * disable TLS v1.0 and v1.1 by default (Ben Noordhuis) [#23814](https://github.com/nodejs/node/pull/23814)
    * emit a warning when servername is an IP address (Rodger Combs) [#23329](https://github.com/nodejs/node/pull/23329)
    * load NODE\_EXTRA\_CA\_CERTS at startup (Ouyang Yadong) [#23354](https://github.com/nodejs/node/pull/23354)
    * remove unused arg to createSecureContext() (Sam Roberts) [#24241](https://github.com/nodejs/node/pull/24241)
    * return correct version from getCipher() (Sam Roberts) [#26625](https://github.com/nodejs/node/pull/26625)
    * support TLSv1.3 (Sam Roberts) [#26209](https://github.com/nodejs/node/pull/26209)
* **util**:
    * fix proxy inspection (Ruben Bridgewater) [#26241](https://github.com/nodejs/node/pull/26241)
    * prevent leaking internal properties (Ruben Bridgewater) [#24971](https://github.com/nodejs/node/pull/24971)
    * prevent tampering with internals in `inspect()` (Ruben Bridgewater) [#26577](https://github.com/nodejs/node/pull/26577)
    * protect against monkeypatched Object prototype for inspect() (Rich Trott) [#25953](https://github.com/nodejs/node/pull/25953)
    * treat format arguments equally (Roman Reiss) [#23162](https://github.com/nodejs/node/pull/23162)
* **zlib**:
    * make “bare” constants un-enumerable (Anna Henningsen) [#24824](https://github.com/nodejs/node/pull/24824)
    * throw TypeError if callback is missing (Anna Henningsen) [#24929](https://github.com/nodejs/node/pull/24929)

### Semver-Major Commits

* [[`afce912193`](https://github.com/nodejs/node/commit/afce912193)] - **(SEMVER-MAJOR)** **assert**: improve performance to instantiate errors (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`f0f26cedcc`](https://github.com/nodejs/node/commit/f0f26cedcc)] - **(SEMVER-MAJOR)** **n-api**: remove code from error name (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`e96e3f9eb0`](https://github.com/nodejs/node/commit/e96e3f9eb0)] - **(SEMVER-MAJOR)** **test**: remove redundant common.mustCall (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`3fe1e80896`](https://github.com/nodejs/node/commit/3fe1e80896)] - **(SEMVER-MAJOR)** **lib**: validate Error.captureStackTrace() calls (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`bfbce289c3`](https://github.com/nodejs/node/commit/bfbce289c3)] - **(SEMVER-MAJOR)** **lib**: refactor Error.captureStackTrace() usage (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`1ed3c54ecb`](https://github.com/nodejs/node/commit/1ed3c54ecb)] - **(SEMVER-MAJOR)** **errors**: update error name (Ruben Bridgewater) [#26738](https://github.com/nodejs/node/pull/26738)
* [[`ecf98b0839`](https://github.com/nodejs/node/commit/ecf98b0839)] - **(SEMVER-MAJOR)** **build,meta**: quiet/pretty make output by default (Refael Ackermann) [#26740](https://github.com/nodejs/node/pull/26740)
* [[`82b3ee776b`](https://github.com/nodejs/node/commit/82b3ee776b)] - **(SEMVER-MAJOR)** **repl**: check colors with .getColorDepth() (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
* [[`d3a62fe7fc`](https://github.com/nodejs/node/commit/d3a62fe7fc)] - **(SEMVER-MAJOR)** **readline**: support TERM=dumb (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
* [[`99523758dc`](https://github.com/nodejs/node/commit/99523758dc)] - **(SEMVER-MAJOR)** **console**: don't use ANSI escape codes when TERM=dumb (Vladislav Kaminsky) [#26261](https://github.com/nodejs/node/pull/26261)
* [[`5a3623af74`](https://github.com/nodejs/node/commit/5a3623af74)] - **(SEMVER-MAJOR)** **assert**: validate required arguments (Ruben Bridgewater) [#26641](https://github.com/nodejs/node/pull/26641)
* [[`96c3224de0`](https://github.com/nodejs/node/commit/96c3224de0)] - **(SEMVER-MAJOR)** **src**: remove `AddPromiseHook()` (Anna Henningsen) [#26574](https://github.com/nodejs/node/pull/26574)
* [[`42dbaed460`](https://github.com/nodejs/node/commit/42dbaed460)] - **(SEMVER-MAJOR)** **tls**: support TLSv1.3 (Sam Roberts) [#26209](https://github.com/nodejs/node/pull/26209)
* [[`9d064439e5`](https://github.com/nodejs/node/commit/9d064439e5)] - **(SEMVER-MAJOR)** **async_hooks**: remove deprecated emitBefore and emitAfter (Matteo Collina) [#26530](https://github.com/nodejs/node/pull/26530)
* [[`abafd38c8d`](https://github.com/nodejs/node/commit/abafd38c8d)] - **(SEMVER-MAJOR)** **fs**: use proper .destroy() implementation for SyncWriteStream (Matteo Collina) [#26690](https://github.com/nodejs/node/pull/26690)
* [[`0f745bf9bd`](https://github.com/nodejs/node/commit/0f745bf9bd)] - **(SEMVER-MAJOR)** **tls**: return correct version from getCipher() (Sam Roberts) [#26625](https://github.com/nodejs/node/pull/26625)
* [[`1cdeb9f956`](https://github.com/nodejs/node/commit/1cdeb9f956)] - **(SEMVER-MAJOR)** **fs**: improve mode validation (Ruben Bridgewater) [#26575](https://github.com/nodejs/node/pull/26575)
* [[`01b112a031`](https://github.com/nodejs/node/commit/01b112a031)] - **(SEMVER-MAJOR)** **test**: update postmortem metadata test for V8 7.3 (cjihrig) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`38ad285a2e`](https://github.com/nodejs/node/commit/38ad285a2e)] - **(SEMVER-MAJOR)** **test**: fix tests after V8 update (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`260d5f8c3b`](https://github.com/nodejs/node/commit/260d5f8c3b)] - **(SEMVER-MAJOR)** **test**: update test-v8-stats (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`78c8491a7e`](https://github.com/nodejs/node/commit/78c8491a7e)] - **(SEMVER-MAJOR)** **test**: remove apply calls over 65534 arg limit (Peter Marshall) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`e0b3de1e90`](https://github.com/nodejs/node/commit/e0b3de1e90)] - **(SEMVER-MAJOR)** **deps**: bump minimum icu version to 63 (Ujjwal Sharma) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`3531fe9320`](https://github.com/nodejs/node/commit/3531fe9320)] - **(SEMVER-MAJOR)** **build,deps**: add `NOMINMAX` to V8 Windows builds (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`1c494b0a95`](https://github.com/nodejs/node/commit/1c494b0a95)] - **(SEMVER-MAJOR)** **deps**: silence irrelevant V8 warnings (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`ff5d632a83`](https://github.com/nodejs/node/commit/ff5d632a83)] - **(SEMVER-MAJOR)** **build,deps**: fix V8 snapshot gyp dependencies (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`2f477bd34d`](https://github.com/nodejs/node/commit/2f477bd34d)] - **(SEMVER-MAJOR)** **build,win**: mark x86 image as not SAFESEH (Refael Ackermann) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`cec35a5eb9`](https://github.com/nodejs/node/commit/cec35a5eb9)] - **(SEMVER-MAJOR)** **deps**: V8: cherry-pick 7803fa6 (Jon Kunkee) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`0d4d6b39a7`](https://github.com/nodejs/node/commit/0d4d6b39a7)] - **(SEMVER-MAJOR)** **deps**: V8: cherry-pick 58cefed (Jon Kunkee) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`bea1a386a3`](https://github.com/nodejs/node/commit/bea1a386a3)] - **(SEMVER-MAJOR)** **deps**: V8: cherry-pick d3308d0 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`cf649c9b02`](https://github.com/nodejs/node/commit/cf649c9b02)] - **(SEMVER-MAJOR)** **deps**: V8: cherry-pick 74571c8 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`44d5401b8d`](https://github.com/nodejs/node/commit/44d5401b8d)] - **(SEMVER-MAJOR)** **deps**: cherry-pick fc0ddf5 from upstream V8 (Anna Henningsen) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`cefb8029cd`](https://github.com/nodejs/node/commit/cefb8029cd)] - **(SEMVER-MAJOR)** **deps**: sync V8 gypfiles with 7.3 (Ujjwal Sharma) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`d266e3e2cf`](https://github.com/nodejs/node/commit/d266e3e2cf)] - **(SEMVER-MAJOR)** **deps**: sync V8 gypfiles with 7.2 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`9577f7724d`](https://github.com/nodejs/node/commit/9577f7724d)] - **(SEMVER-MAJOR)** **src**: update NODE\_MODULE\_VERSION to 71 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`dfcc918e65`](https://github.com/nodejs/node/commit/dfcc918e65)] - **(SEMVER-MAJOR)** **build**: reset embedder string to "-node.0" (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`7b48713334`](https://github.com/nodejs/node/commit/7b48713334)] - **(SEMVER-MAJOR)** **deps**: update V8 to 7.3.492.25 (Michaël Zasso) [#25852](https://github.com/nodejs/node/pull/25852)
* [[`5672ab7668`](https://github.com/nodejs/node/commit/5672ab7668)] - **(SEMVER-MAJOR)** **util**: prevent tampering with internals in `inspect()` (Ruben Bridgewater) [#26577](https://github.com/nodejs/node/pull/26577)
* [[`6d9aa73b1f`](https://github.com/nodejs/node/commit/6d9aa73b1f)] - **(SEMVER-MAJOR)** **src**: clean up MultiIsolatePlatform interface (Anna Henningsen) [#26384](https://github.com/nodejs/node/pull/26384)
* [[`f9ddbb6b2f`](https://github.com/nodejs/node/commit/f9ddbb6b2f)] - **(SEMVER-MAJOR)** **lib**: move DTRACE\_\* probes out of global scope (James M Snell) [#26541](https://github.com/nodejs/node/pull/26541)
* [[`6113ba96cb`](https://github.com/nodejs/node/commit/6113ba96cb)] - **(SEMVER-MAJOR)** **buffer**: harden SlowBuffer creation (ZYSzys) [#26272](https://github.com/nodejs/node/pull/26272)
* [[`6df7bd6c3b`](https://github.com/nodejs/node/commit/6df7bd6c3b)] - **(SEMVER-MAJOR)** **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#19794](https://github.com/nodejs/node/pull/19794)
* [[`c7e628f8b3`](https://github.com/nodejs/node/commit/c7e628f8b3)] - **(SEMVER-MAJOR)** **lib**: deprecate \_stream\_wrap (Sam Roberts) [#26245](https://github.com/nodejs/node/pull/26245)
* [[`b8018f407b`](https://github.com/nodejs/node/commit/b8018f407b)] - **(SEMVER-MAJOR)** **crypto**: move DEP0113 to End-of-Life (Tobias Nießen) [#26249](https://github.com/nodejs/node/pull/26249)
* [[`584305841d`](https://github.com/nodejs/node/commit/584305841d)] - **(SEMVER-MAJOR)** **repl**: deprecate REPLServer.rli (Ruben Bridgewater) [#26260](https://github.com/nodejs/node/pull/26260)
* [[`a32cbe1597`](https://github.com/nodejs/node/commit/a32cbe1597)] - **(SEMVER-MAJOR)** **util**: fix proxy inspection (Ruben Bridgewater) [#26241](https://github.com/nodejs/node/pull/26241)
* [[`7b674697d8`](https://github.com/nodejs/node/commit/7b674697d8)] - **(SEMVER-MAJOR)** **util**: prevent leaking internal properties (Ruben Bridgewater) [#24971](https://github.com/nodejs/node/pull/24971)
* [[`be78266fb3`](https://github.com/nodejs/node/commit/be78266fb3)] - **(SEMVER-MAJOR)** **lib**: don't use `util.inspect()` internals (Ruben Bridgewater) [#24971](https://github.com/nodejs/node/pull/24971)
* [[`907941d48e`](https://github.com/nodejs/node/commit/907941d48e)] - **(SEMVER-MAJOR)** **http**: validate timeout in ClientRequest() (cjihrig) [#26214](https://github.com/nodejs/node/pull/26214)
* [[`9334e45aa0`](https://github.com/nodejs/node/commit/9334e45aa0)] - **(SEMVER-MAJOR)** **build**: remove mips support (Ben Noordhuis) [#26192](https://github.com/nodejs/node/pull/26192)
* [[`6fb7baf935`](https://github.com/nodejs/node/commit/6fb7baf935)] - **(SEMVER-MAJOR)** **buffer**: harden validation of buffer allocation size (ZYSzys) [#26162](https://github.com/nodejs/node/pull/26162)
* [[`a02e3e2d5f`](https://github.com/nodejs/node/commit/a02e3e2d5f)] - **(SEMVER-MAJOR)** **lib**: improve error message for MODULE\_NOT\_FOUND (Ali Ijaz Sheikh) [#25690](https://github.com/nodejs/node/pull/25690)
* [[`05cd1a0929`](https://github.com/nodejs/node/commit/05cd1a0929)] - **(SEMVER-MAJOR)** **lib**: requireStack property for MODULE\_NOT\_FOUND (Ali Ijaz Sheikh) [#25690](https://github.com/nodejs/node/pull/25690)
* [[`1847696f4b`](https://github.com/nodejs/node/commit/1847696f4b)] - **(SEMVER-MAJOR)** **util**: protect against monkeypatched Object prototype for inspect() (Rich Trott) [#25953](https://github.com/nodejs/node/pull/25953)
* [[`70f4f08a9f`](https://github.com/nodejs/node/commit/70f4f08a9f)] - **(SEMVER-MAJOR)** **fs**: harden validation of start option in createWriteStream (ZYSzys) [#25579](https://github.com/nodejs/node/pull/25579)
* [[`6b7c402518`](https://github.com/nodejs/node/commit/6b7c402518)] - **(SEMVER-MAJOR)** **tls**: check arg types of renegotiate() (Sam Roberts) [#25876](https://github.com/nodejs/node/pull/25876)
* [[`fa5e097530`](https://github.com/nodejs/node/commit/fa5e097530)] - **(SEMVER-MAJOR)** **process**: move DEP0062 (node --debug) to end-of-life (Joyee Cheung) [#25828](https://github.com/nodejs/node/pull/25828)
* [[`154efc9bde`](https://github.com/nodejs/node/commit/154efc9bde)] - **(SEMVER-MAJOR)** **process**: exit on --debug and --debug-brk after option parsing (Joyee Cheung) [#25828](https://github.com/nodejs/node/pull/25828)
* [[`1d996f58af`](https://github.com/nodejs/node/commit/1d996f58af)] - **(SEMVER-MAJOR)** **src**: properly configure default heap limits (Ali Ijaz Sheikh) [#25576](https://github.com/nodejs/node/pull/25576)
* [[`bcf2886a84`](https://github.com/nodejs/node/commit/bcf2886a84)] - **(SEMVER-MAJOR)** **http**: return HTTP 431 on HPE\_HEADER\_OVERFLOW error (Albert Still) [#25605](https://github.com/nodejs/node/pull/25605)
* [[`bb564a3688`](https://github.com/nodejs/node/commit/bb564a3688)] - **(SEMVER-MAJOR)** **build**: update prerequisites on progress towards Python 3 (cclauss) [#25766](https://github.com/nodejs/node/pull/25766)
* [[`22a9fe3552`](https://github.com/nodejs/node/commit/22a9fe3552)] - **(SEMVER-MAJOR)** **test**: add test for net-socket-setTimeout callback (ZYSzys) [#25084](https://github.com/nodejs/node/pull/25084)
* [[`802ea05a37`](https://github.com/nodejs/node/commit/802ea05a37)] - **(SEMVER-MAJOR)** **net,http2**: merge setTimeout code (ZYSzys) [#25084](https://github.com/nodejs/node/pull/25084)
* [[`7493db21b6`](https://github.com/nodejs/node/commit/7493db21b6)] - **(SEMVER-MAJOR)** **assert**: adjust loose assertions (Ruben Bridgewater) [#25008](https://github.com/nodejs/node/pull/25008)
* [[`16e4cd19f2`](https://github.com/nodejs/node/commit/16e4cd19f2)] - **(SEMVER-MAJOR)** **os**: implement os.type() using uv\_os\_uname() (cjihrig) [#25659](https://github.com/nodejs/node/pull/25659)
* [[`29d3d1ea13`](https://github.com/nodejs/node/commit/29d3d1ea13)] - **(SEMVER-MAJOR)** **lib**: move DEP0029 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
* [[`a665d13ad9`](https://github.com/nodejs/node/commit/a665d13ad9)] - **(SEMVER-MAJOR)** **lib**: move DEP0028 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
* [[`10df21b071`](https://github.com/nodejs/node/commit/10df21b071)] - **(SEMVER-MAJOR)** **lib**: move DEP0027 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
* [[`2d578ad996`](https://github.com/nodejs/node/commit/2d578ad996)] - **(SEMVER-MAJOR)** **lib**: move DEP0026 to end of life (cjihrig) [#25377](https://github.com/nodejs/node/pull/25377)
* [[`bf3cb3f9b1`](https://github.com/nodejs/node/commit/bf3cb3f9b1)] - **(SEMVER-MAJOR)** **crypto**: remove deprecated crypto.\_toBuf (Tobias Nießen) [#25338](https://github.com/nodejs/node/pull/25338)
* [[`309e7723ea`](https://github.com/nodejs/node/commit/309e7723ea)] - **(SEMVER-MAJOR)** **doc**: update behaviour of fs.writeFile (Sakthipriyan Vairamani (thefourtheye)) [#25080](https://github.com/nodejs/node/pull/25080)
* [[`853bee0acf`](https://github.com/nodejs/node/commit/853bee0acf)] - **(SEMVER-MAJOR)** **lib**: move DEP0023 to end of life (cjihrig) [#25280](https://github.com/nodejs/node/pull/25280)
* [[`d4934ae6f2`](https://github.com/nodejs/node/commit/d4934ae6f2)] - **(SEMVER-MAJOR)** **lib**: move DEP0006 to end of life (cjihrig) [#25279](https://github.com/nodejs/node/pull/25279)
* [[`4100001624`](https://github.com/nodejs/node/commit/4100001624)] - **(SEMVER-MAJOR)** **lib**: remove unintended access to deps/ (Anna Henningsen) [#25138](https://github.com/nodejs/node/pull/25138)
* [[`3439c955ab`](https://github.com/nodejs/node/commit/3439c955ab)] - **(SEMVER-MAJOR)** **process**: improve `--redirect-warnings` handling (Ruben Bridgewater) [#24965](https://github.com/nodejs/node/pull/24965)
* [[`8f4b924f4a`](https://github.com/nodejs/node/commit/8f4b924f4a)] - **(SEMVER-MAJOR)** **fs**: make writeFile consistent with readFile wrt fd (Sakthipriyan Vairamani (thefourtheye)) [#23709](https://github.com/nodejs/node/pull/23709)
* [[`9021b0d3fc`](https://github.com/nodejs/node/commit/9021b0d3fc)] - **(SEMVER-MAJOR)** **src**: remove icuDataDir from node config (GauthamBanasandra) [#24780](https://github.com/nodejs/node/pull/24780)
* [[`c992639fbd`](https://github.com/nodejs/node/commit/c992639fbd)] - **(SEMVER-MAJOR)** **bootstrap**: make Buffer and process non-enumerable (Ruben Bridgewater) [#24874](https://github.com/nodejs/node/pull/24874)
* [[`9a2654601e`](https://github.com/nodejs/node/commit/9a2654601e)] - **(SEMVER-MAJOR)** **zlib**: throw TypeError if callback is missing (Anna Henningsen) [#24929](https://github.com/nodejs/node/pull/24929)
* [[`b416dafb87`](https://github.com/nodejs/node/commit/b416dafb87)] - **(SEMVER-MAJOR)** **lib**: move DEP0120 to end of life (cjihrig) [#24862](https://github.com/nodejs/node/pull/24862)
* [[`60ce2fd827`](https://github.com/nodejs/node/commit/60ce2fd827)] - **(SEMVER-MAJOR)** **module**: don't search in require.resolve.paths (cjihrig) [#23683](https://github.com/nodejs/node/pull/23683)
* [[`2cb8f24751`](https://github.com/nodejs/node/commit/2cb8f24751)] - **(SEMVER-MAJOR)** **http**: switch default parser to llhttp (Anna Henningsen) [#24870](https://github.com/nodejs/node/pull/24870)
* [[`4eee55d354`](https://github.com/nodejs/node/commit/4eee55d354)] - **(SEMVER-MAJOR)** **zlib**: make “bare” constants un-enumerable (Anna Henningsen) [#24824](https://github.com/nodejs/node/pull/24824)
* [[`a6f69ebc05`](https://github.com/nodejs/node/commit/a6f69ebc05)] - **(SEMVER-MAJOR)** **src**: explicitly allow JS in ReadHostObject (Yang Guo) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`3d25544148`](https://github.com/nodejs/node/commit/3d25544148)] - **(SEMVER-MAJOR)** **src**: update postmortem constant (cjihrig) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`379bf1aa8e`](https://github.com/nodejs/node/commit/379bf1aa8e)] - **(SEMVER-MAJOR)** **test**: update postmortem metadata test for V8 7.1 (cjihrig) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`5620727f30`](https://github.com/nodejs/node/commit/5620727f30)] - **(SEMVER-MAJOR)** **deps**: sync V8 gypfiles with 7.1 (Refael Ackermann) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`23603447ad`](https://github.com/nodejs/node/commit/23603447ad)] - **(SEMVER-MAJOR)** **src**: update NODE\_MODULE\_VERSION to 68 (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`3c332abe28`](https://github.com/nodejs/node/commit/3c332abe28)] - **(SEMVER-MAJOR)** **build**: reset embedder string to "-node.0" (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`9b4bf7de6c`](https://github.com/nodejs/node/commit/9b4bf7de6c)] - **(SEMVER-MAJOR)** **deps**: update V8 to 7.1.302.28 (Michaël Zasso) [#23423](https://github.com/nodejs/node/pull/23423)
* [[`89740a4f0e`](https://github.com/nodejs/node/commit/89740a4f0e)] - **(SEMVER-MAJOR)** **doc**: add internal functionality details of util.inherits (Ruben Bridgewater) [#24755](https://github.com/nodejs/node/pull/24755)
* [[`59257543c3`](https://github.com/nodejs/node/commit/59257543c3)] - **(SEMVER-MAJOR)** **lib**: use ES6 class inheritance style (Ruben Bridgewater) [#24755](https://github.com/nodejs/node/pull/24755)
* [[`dcc82b37b6`](https://github.com/nodejs/node/commit/dcc82b37b6)] - **(SEMVER-MAJOR)** **lib**: remove `inherits()` usage (Ruben Bridgewater) [#24755](https://github.com/nodejs/node/pull/24755)
* [[`b05b330025`](https://github.com/nodejs/node/commit/b05b330025)] - **(SEMVER-MAJOR)** **tls**: add code for ERR\_TLS\_INVALID\_PROTOCOL\_METHOD (Sam Roberts) [#24729](https://github.com/nodejs/node/pull/24729)
* [[`cda6b20816`](https://github.com/nodejs/node/commit/cda6b20816)] - **(SEMVER-MAJOR)** **win, fs**: detect if symlink target is a directory (Bartosz Sosnowski) [#23724](https://github.com/nodejs/node/pull/23724)
* [[`9389b464ea`](https://github.com/nodejs/node/commit/9389b464ea)] - **(SEMVER-MAJOR)** **net**: emit "write after end" errors in the next tick (Ouyang Yadong) [#24457](https://github.com/nodejs/node/pull/24457)
* [[`91748dd89c`](https://github.com/nodejs/node/commit/91748dd89c)] - **(SEMVER-MAJOR)** **http**: change DEP0066 to a runtime deprecation (Morgan Roderick) [#24167](https://github.com/nodejs/node/pull/24167)
* [[`9b2ffff62c`](https://github.com/nodejs/node/commit/9b2ffff62c)] - **(SEMVER-MAJOR)** **tls**: emit a warning when servername is an IP address (Rodger Combs) [#23329](https://github.com/nodejs/node/pull/23329)
* [[`f3b49cfa7b`](https://github.com/nodejs/node/commit/f3b49cfa7b)] - **(SEMVER-MAJOR)** **http**: else case is not reachable (szabolcsit) [#24176](https://github.com/nodejs/node/pull/24176)
* [[`60eca6a5d4`](https://github.com/nodejs/node/commit/60eca6a5d4)] - **(SEMVER-MAJOR)** **tls**: disable TLS v1.0 and v1.1 by default (Ben Noordhuis) [#23814](https://github.com/nodejs/node/pull/23814)
* [[`3b4159c8ed`](https://github.com/nodejs/node/commit/3b4159c8ed)] - **(SEMVER-MAJOR)** **tls**: remove unused arg to createSecureContext() (Sam Roberts) [#24241](https://github.com/nodejs/node/pull/24241)
* [[`624a242b05`](https://github.com/nodejs/node/commit/624a242b05)] - **(SEMVER-MAJOR)** **test**: simplify regression test for SEGV (Sam Roberts) [#24241](https://github.com/nodejs/node/pull/24241)
* [[`0f63d84f80`](https://github.com/nodejs/node/commit/0f63d84f80)] - **(SEMVER-MAJOR)** **crypto**: set `DEFAULT\_ENCODING` property to non-enumerable (Antoine du Hamel) [#23222](https://github.com/nodejs/node/pull/23222)
* [[`765766be64`](https://github.com/nodejs/node/commit/765766be64)] - **(SEMVER-MAJOR)** **build**: add common `defines` (Refael Ackermann) [#23426](https://github.com/nodejs/node/pull/23426)
* [[`c6d29ccf5a`](https://github.com/nodejs/node/commit/c6d29ccf5a)] - **(SEMVER-MAJOR)** **buffer**: do proper error propagation in addon methods (Anna Henningsen) [#23939](https://github.com/nodejs/node/pull/23939)
* [[`246a6fc107`](https://github.com/nodejs/node/commit/246a6fc107)] - **(SEMVER-MAJOR)** **tls**: deprecate Server.prototype.setOptions() (cjihrig) [#23820](https://github.com/nodejs/node/pull/23820)
* [[`1523111250`](https://github.com/nodejs/node/commit/1523111250)] - **(SEMVER-MAJOR)** **net**: deprecate \_setSimultaneousAccepts() undocumented function (James M Snell) [#23760](https://github.com/nodejs/node/pull/23760)
* [[`87719d792b`](https://github.com/nodejs/node/commit/87719d792b)] - **(SEMVER-MAJOR)** **tls**: load NODE\_EXTRA\_CA\_CERTS at startup (Ouyang Yadong) [#23354](https://github.com/nodejs/node/pull/23354)
* [[`c1b9be53c8`](https://github.com/nodejs/node/commit/c1b9be53c8)] - **(SEMVER-MAJOR)** **util**: treat format arguments equally (Roman Reiss) [#23162](https://github.com/nodejs/node/pull/23162)
* [[`1a2cf6696f`](https://github.com/nodejs/node/commit/1a2cf6696f)] - **(SEMVER-MAJOR)** **async_hooks**: remove promise object from resource (Andreas Madsen) [#23443](https://github.com/nodejs/node/pull/23443)

### Semver-Minor Commits

* [[`85fda7e848`](https://github.com/nodejs/node/commit/85fda7e848)] - **(SEMVER-MINOR)** **crypto**: add support for x25119 and x448 KeyObjects (Filip Skokan) [#26774](https://github.com/nodejs/node/pull/26774)
* [[`7c80f18c41`](https://github.com/nodejs/node/commit/7c80f18c41)] - **(SEMVER-MINOR)** **timers**: deprecate active() and \_unrefActive() (Jeremiah Senkpiel) [#26760](https://github.com/nodejs/node/pull/26760)
* [[`273398a3d0`](https://github.com/nodejs/node/commit/273398a3d0)] - **(SEMVER-MINOR)** **tty**: add NO\_COLOR and FORCE\_COLOR support (Ruben Bridgewater) [#26485](https://github.com/nodejs/node/pull/26485)
* [[`3a9592496c`](https://github.com/nodejs/node/commit/3a9592496c)] - **(SEMVER-MINOR)** **crypto**: add support for EdDSA key pair generation (Tobias Nießen) [#26554](https://github.com/nodejs/node/pull/26554)
* [[`f1056542f0`](https://github.com/nodejs/node/commit/f1056542f0)] - **(SEMVER-MINOR)** **crypto**: expose KeyObject class (Filip Skokan) [#26438](https://github.com/nodejs/node/pull/26438)
* [[`d35af56e5f`](https://github.com/nodejs/node/commit/d35af56e5f)] - **(SEMVER-MINOR)** **src**: shutdown node in-flight (Gireesh Punathil) [#21283](https://github.com/nodejs/node/pull/21283)
* [[`fe8972a4ff`](https://github.com/nodejs/node/commit/fe8972a4ff)] - **(SEMVER-MINOR)** **worker**: implement worker.moveMessagePortToContext() (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)
* [[`b0de48e854`](https://github.com/nodejs/node/commit/b0de48e854)] - **(SEMVER-MINOR)** **src,lib**: make DOMException available in all Contexts (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)
* [[`7e2088f773`](https://github.com/nodejs/node/commit/7e2088f773)] - **(SEMVER-MINOR)** **src,lib**: allow running multiple per-context files (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)
* [[`5f38797ea5`](https://github.com/nodejs/node/commit/5f38797ea5)] - **(SEMVER-MINOR)** **v8**: integrate node-heapdump into core (James M Snell) [#26501](https://github.com/nodejs/node/pull/26501)
* [[`b21e7c7bcf`](https://github.com/nodejs/node/commit/b21e7c7bcf)] - **(SEMVER-MINOR)** **embedding**: make `NewIsolate()` API more flexible (Anna Henningsen) [#26525](https://github.com/nodejs/node/pull/26525)
* [[`0e3adddd0d`](https://github.com/nodejs/node/commit/0e3adddd0d)] - **(SEMVER-MINOR)** **embedding**: refactor public `ArrayBufferAllocator` API (Anna Henningsen) [#26525](https://github.com/nodejs/node/pull/26525)
* [[`171b2707d3`](https://github.com/nodejs/node/commit/171b2707d3)] - **(SEMVER-MINOR)** **src**: deprecate AddPromiseHook() (Anna Henningsen) [#26529](https://github.com/nodejs/node/pull/26529)
* [[`db2a5b05df`](https://github.com/nodejs/node/commit/db2a5b05df)] - **(SEMVER-MINOR)** **src**: add public API for linked bindings (Anna Henningsen) [#26457](https://github.com/nodejs/node/pull/26457)
* [[`58b00f4cca`](https://github.com/nodejs/node/commit/58b00f4cca)] - **(SEMVER-MINOR)** **test**: make cctest full Node.js environment (Anna Henningsen) [#26457](https://github.com/nodejs/node/pull/26457)
* [[`9f1282d536`](https://github.com/nodejs/node/commit/9f1282d536)] - **(SEMVER-MINOR)** **lib**: move queueMicrotask to stable (Gus Caplan) [#25594](https://github.com/nodejs/node/pull/25594)
* [[`d4fdec6b65`](https://github.com/nodejs/node/commit/d4fdec6b65)] - **(SEMVER-MINOR)** **tty**: add hasColors function (Ruben Bridgewater) [#26247](https://github.com/nodejs/node/pull/26247)
* [[`fe7162915e`](https://github.com/nodejs/node/commit/fe7162915e)] - **(SEMVER-MINOR)** **crypto**: allow deriving public from private keys (Tobias Nießen) [#26278](https://github.com/nodejs/node/pull/26278)
* [[`b1ef279d57`](https://github.com/nodejs/node/commit/b1ef279d57)] - **(SEMVER-MINOR)** **events**: add once method to use promises with EventEmitter (Matteo Collina) [#26078](https://github.com/nodejs/node/pull/26078)

### Semver-Patch Commits

* [[`ed1c51a944`](https://github.com/nodejs/node/commit/ed1c51a944)] - **errors**: remove usage of require('util') (dnlup) [#26781](https://github.com/nodejs/node/pull/26781)
* [[`8520c8b0e5`](https://github.com/nodejs/node/commit/8520c8b0e5)] - **doc**: add option to require 'process' to api docs (dkundel) [#26792](https://github.com/nodejs/node/pull/26792)
* [[`dede0e1cb7`](https://github.com/nodejs/node/commit/dede0e1cb7)] - **lib**: reduce usage of require('util') (dnlup) [#26782](https://github.com/nodejs/node/pull/26782)
* [[`5d4c0dbac1`](https://github.com/nodejs/node/commit/5d4c0dbac1)] - **fs**: reduce usage of require('util') (toshi1127) [#26783](https://github.com/nodejs/node/pull/26783)
* [[`802c76a382`](https://github.com/nodejs/node/commit/802c76a382)] - **tools**: enable getter-return lint rule (cjihrig) [#26615](https://github.com/nodejs/node/pull/26615)
* [[`0791e3c9d1`](https://github.com/nodejs/node/commit/0791e3c9d1)] - **doc**: describe tls.DEFAULT\_MIN\_VERSION/\_MAX\_VERSION (Sam Roberts) [#26821](https://github.com/nodejs/node/pull/26821)
* [[`bdea725bdc`](https://github.com/nodejs/node/commit/bdea725bdc)] - **process**: make stdout and stderr emit 'close' on destroy (Matteo Collina) [#26691](https://github.com/nodejs/node/pull/26691)
* [[`cdb87d9548`](https://github.com/nodejs/node/commit/cdb87d9548)] - **src**: guard exit label when inspector disabled (Daniel Bevenius) [#26801](https://github.com/nodejs/node/pull/26801)
* [[`b4f58c2caf`](https://github.com/nodejs/node/commit/b4f58c2caf)] - **src**: micro-optimize ALPN negotiation (Ben Noordhuis) [#26836](https://github.com/nodejs/node/pull/26836)
* [[`4a07a62d04`](https://github.com/nodejs/node/commit/4a07a62d04)] - **process**: remove usage of require('util') in `per\_thread.js` (dnlup) [#26817](https://github.com/nodejs/node/pull/26817)
* [[`0f2bf72604`](https://github.com/nodejs/node/commit/0f2bf72604)] - **module**: remove usage of require('util') in `esm/translators.js` (dnlup) [#26806](https://github.com/nodejs/node/pull/26806)
* [[`ad661ca209`](https://github.com/nodejs/node/commit/ad661ca209)] - **module**: remove usage of require('util') in `esm/loader.js` (dnlup) [#26804](https://github.com/nodejs/node/pull/26804)
* [[`005528ac82`](https://github.com/nodejs/node/commit/005528ac82)] - **module**: remove usage of require('util') in `cjs/loader.js` (dnlup) [#26802](https://github.com/nodejs/node/pull/26802)
* [[`55e6c68170`](https://github.com/nodejs/node/commit/55e6c68170)] - **tty**: remove util.inherits usage (nd-02110114) [#26797](https://github.com/nodejs/node/pull/26797)
* [[`e5383adb25`](https://github.com/nodejs/node/commit/e5383adb25)] - **lib**: remove usage of require('util') (dnlup) [#26779](https://github.com/nodejs/node/pull/26779)
* [[`cf1b9d395d`](https://github.com/nodejs/node/commit/cf1b9d395d)] - **lib**: remove usage of require('util') (dnlup) [#26777](https://github.com/nodejs/node/pull/26777)
* [[`a1330af6a3`](https://github.com/nodejs/node/commit/a1330af6a3)] - **tls**: remove usage of public require('util') (dnlup) [#26747](https://github.com/nodejs/node/pull/26747)
* [[`1ac88f4b44`](https://github.com/nodejs/node/commit/1ac88f4b44)] - **doc**: minor edit to worker\_threads.md (Rich Trott) [#26870](https://github.com/nodejs/node/pull/26870)
* [[`4ba33c90c6`](https://github.com/nodejs/node/commit/4ba33c90c6)] - **test**: delete pummel/test-dtrace-jsstack (Rich Trott) [#26869](https://github.com/nodejs/node/pull/26869)
* [[`26f8af9feb`](https://github.com/nodejs/node/commit/26f8af9feb)] - **console**: remove unreachable code (Rich Trott) [#26863](https://github.com/nodejs/node/pull/26863)
* [[`4a40ea6894`](https://github.com/nodejs/node/commit/4a40ea6894)] - **test**: refactor test-https-connect-localport (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* [[`f5969f08a0`](https://github.com/nodejs/node/commit/f5969f08a0)] - **test**: replace localhost IP with 'localhost' for TLS conformity (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* [[`229759f961`](https://github.com/nodejs/node/commit/229759f961)] - **test**: use common.PORT instead of hardcoded number (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* [[`0f7e24a0c3`](https://github.com/nodejs/node/commit/0f7e24a0c3)] - **test**: move test-https-connect-localport to sequential (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* [[`5b59b5f525`](https://github.com/nodejs/node/commit/5b59b5f525)] - **url**: remove usage of require('util') (toshi1127) [#26808](https://github.com/nodejs/node/pull/26808)
* [[`b8d4bafa03`](https://github.com/nodejs/node/commit/b8d4bafa03)] - **http2**: reduce usage of require('util') (toshi1127) [#26784](https://github.com/nodejs/node/pull/26784)
* [[`25b78c0940`](https://github.com/nodejs/node/commit/25b78c0940)] - **module**: remove usage of require('util') (dnlup) [#26805](https://github.com/nodejs/node/pull/26805)
* [[`a89451409e`](https://github.com/nodejs/node/commit/a89451409e)] - **trace_events**: remove usage of require('util') (dnlup) [#26822](https://github.com/nodejs/node/pull/26822)
* [[`b2b8741a7e`](https://github.com/nodejs/node/commit/b2b8741a7e)] - **assert**: reduce internal usage of public require of util (toshi1127) [#26750](https://github.com/nodejs/node/pull/26750)
* [[`740e7e8a9d`](https://github.com/nodejs/node/commit/740e7e8a9d)] - **worker**: remove usage of require('util') in worker\_thread.js (toshi1127) [#26814](https://github.com/nodejs/node/pull/26814)
* [[`8330555295`](https://github.com/nodejs/node/commit/8330555295)] - **test**: refactor test-dgram-broadcast-multi-process (Rich Trott) [#26846](https://github.com/nodejs/node/pull/26846)
* [[`683e01b250`](https://github.com/nodejs/node/commit/683e01b250)] - **doc**: edit LTS material in Collaborator Guide (Rich Trott) [#26845](https://github.com/nodejs/node/pull/26845)
* [[`ed849f812d`](https://github.com/nodejs/node/commit/ed849f812d)] - **test**: strengthen test-worker-prof (Gireesh Punathil) [#26608](https://github.com/nodejs/node/pull/26608)
* [[`c0f031c5bd`](https://github.com/nodejs/node/commit/c0f031c5bd)] - **src**: remove unused variable (cjihrig) [#26879](https://github.com/nodejs/node/pull/26879)
* [[`a7a871476e`](https://github.com/nodejs/node/commit/a7a871476e)] - **doc**: change error message to 'not defined' (Mohammed Essehemy) [#26857](https://github.com/nodejs/node/pull/26857)
* [[`0d21299384`](https://github.com/nodejs/node/commit/0d21299384)] - **process**: load internal/async\_hooks before inspector hooks registration (Joyee Cheung) [#26866](https://github.com/nodejs/node/pull/26866)
* [[`2b89ac6818`](https://github.com/nodejs/node/commit/2b89ac6818)] - **tools**: update ESLint to 5.15.3 (cjihrig) [#26746](https://github.com/nodejs/node/pull/26746)
* [[`cd3a9eebca`](https://github.com/nodejs/node/commit/cd3a9eebca)] - **https**: remove usage of public require('util') (dnlup) [#26772](https://github.com/nodejs/node/pull/26772)
* [[`0c89a21f96`](https://github.com/nodejs/node/commit/0c89a21f96)] - **dgram**: remove usage of public require('util') (dnlup) [#26770](https://github.com/nodejs/node/pull/26770)
* [[`afdadbcff5`](https://github.com/nodejs/node/commit/afdadbcff5)] - **policy**: reduce internal usage of public util for manifest.js (Jesse Katsumata) [#26833](https://github.com/nodejs/node/pull/26833)
* [[`2701f5538f`](https://github.com/nodejs/node/commit/2701f5538f)] - **readline**: remove usage of require('util') (dnlup) [#26818](https://github.com/nodejs/node/pull/26818)
* [[`c757cb1b98`](https://github.com/nodejs/node/commit/c757cb1b98)] - **src**: apply clang-tidy readability-delete-null-pointer (gengjiawen) [#26813](https://github.com/nodejs/node/pull/26813)
* [[`86e0296631`](https://github.com/nodejs/node/commit/86e0296631)] - **src**: apply clang-tidy performance-faster-string-find (gengjiawen) [#26812](https://github.com/nodejs/node/pull/26812)
* [[`7d201c4e70`](https://github.com/nodejs/node/commit/7d201c4e70)] - **test**: move pummel tls test to sequential (Rich Trott) [#26865](https://github.com/nodejs/node/pull/26865)
* [[`cc89e68e72`](https://github.com/nodejs/node/commit/cc89e68e72)] - **test**: fix pummel/test-tls-session-timeout (Rich Trott) [#26865](https://github.com/nodejs/node/pull/26865)
* [[`6e9551e1b1`](https://github.com/nodejs/node/commit/6e9551e1b1)] - **test**: complete console.assert() coverage (Rich Trott) [#26827](https://github.com/nodejs/node/pull/26827)
* [[`91be64b9d3`](https://github.com/nodejs/node/commit/91be64b9d3)] - **repl**: remove usage of require('util') in `repl/history` (dnlup) [#26819](https://github.com/nodejs/node/pull/26819)
* [[`01a129635c`](https://github.com/nodejs/node/commit/01a129635c)] - **worker**: remove usage of require('util') (toshi1127) [#26810](https://github.com/nodejs/node/pull/26810)
* [[`76387c1c20`](https://github.com/nodejs/node/commit/76387c1c20)] - **src**: initialize worker's stack\_base\_ field (cjihrig) [#26739](https://github.com/nodejs/node/pull/26739)
* [[`ee429e4b2c`](https://github.com/nodejs/node/commit/ee429e4b2c)] - **test**: fix test-console-stdio-setters to test setters (Rich Trott) [#26796](https://github.com/nodejs/node/pull/26796)
* [[`41ba699973`](https://github.com/nodejs/node/commit/41ba699973)] - **build**: update configure for Node.js 12 (Richard Lau) [#26719](https://github.com/nodejs/node/pull/26719)
* [[`0b516fac79`](https://github.com/nodejs/node/commit/0b516fac79)] - **src**: use explicit casts to silence conversion warnings (Zach Bjornson) [#26766](https://github.com/nodejs/node/pull/26766)
* [[`382e859afc`](https://github.com/nodejs/node/commit/382e859afc)] - **child_process**: reduce internal usage of public require of util (toshi1127) [#26769](https://github.com/nodejs/node/pull/26769)
* [[`db40b4ab32`](https://github.com/nodejs/node/commit/db40b4ab32)] - **build**: restore running tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* [[`ce14a5ef3a`](https://github.com/nodejs/node/commit/ce14a5ef3a)] - **build**: temporarily don't run tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* [[`e3340023f3`](https://github.com/nodejs/node/commit/e3340023f3)] - **build**: use Xenial and gcc 6 on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* [[`b05fbaab43`](https://github.com/nodejs/node/commit/b05fbaab43)] - **src**: add fast path for equal size to `Reallocate()` (Anna Henningsen) [#26573](https://github.com/nodejs/node/pull/26573)
* [[`c97851dcd8`](https://github.com/nodejs/node/commit/c97851dcd8)] - **stream**: reduce internal usage of public require of util (Beni von Cheni) [#26698](https://github.com/nodejs/node/pull/26698)
* [[`d117e41e50`](https://github.com/nodejs/node/commit/d117e41e50)] - **src**: do not make `Resize(0)`’d buffers base `nullptr` (Anna Henningsen) [#26731](https://github.com/nodejs/node/pull/26731)
* [[`bca23f2ee7`](https://github.com/nodejs/node/commit/bca23f2ee7)] - **src**: only open HandleScope when necessary (Anna Henningsen) [#26734](https://github.com/nodejs/node/pull/26734)
* [[`d812dbb495`](https://github.com/nodejs/node/commit/d812dbb495)] - **src**: refactor thread stopping mechanism (Anna Henningsen) [#26757](https://github.com/nodejs/node/pull/26757)
* [[`de3b164f4f`](https://github.com/nodejs/node/commit/de3b164f4f)] - **assert**: reduce internal usage of public require of util (Daiki Ihara) [#26762](https://github.com/nodejs/node/pull/26762)
* [[`245c96e7e5`](https://github.com/nodejs/node/commit/245c96e7e5)] - **perf_hooks**: load internal/errors eagerly (Joyee Cheung) [#26771](https://github.com/nodejs/node/pull/26771)
* [[`d81ea10f66`](https://github.com/nodejs/node/commit/d81ea10f66)] - **events**: load internal/errors eagerly (Joyee Cheung) [#26771](https://github.com/nodejs/node/pull/26771)
* [[`5f032a7a26`](https://github.com/nodejs/node/commit/5f032a7a26)] - **util**: extract uncurryThis function for reuse (ZYSzys) [#23081](https://github.com/nodejs/node/pull/23081)
* [[`20fab5f5d4`](https://github.com/nodejs/node/commit/20fab5f5d4)] - **util**: require `isNativeError` from internalBinding (ZYSzys) [#23081](https://github.com/nodejs/node/pull/23081)
* [[`ab3f7afacc`](https://github.com/nodejs/node/commit/ab3f7afacc)] - **console**: fix trace function (Ruben Bridgewater) [#26764](https://github.com/nodejs/node/pull/26764)
* [[`296712602b`](https://github.com/nodejs/node/commit/296712602b)] - **doc**: fix comma of the list in worker\_threads.md (Hang Jiang) [#26838](https://github.com/nodejs/node/pull/26838)
* [[`39f4158bc3`](https://github.com/nodejs/node/commit/39f4158bc3)] - **lib**: move extra properties into error creation (Ruben Bridgewater) [#26752](https://github.com/nodejs/node/pull/26752)
* [[`df0870dddf`](https://github.com/nodejs/node/commit/df0870dddf)] - **test**: remove internal error tests (Ruben Bridgewater) [#26752](https://github.com/nodejs/node/pull/26752)
* [[`0622ce6e7f`](https://github.com/nodejs/node/commit/0622ce6e7f)] - **doc**: fix changelog date typo (Jesse McCarthy) [#26831](https://github.com/nodejs/node/pull/26831)
* [[`1500e5de64`](https://github.com/nodejs/node/commit/1500e5de64)] - **lib**: remove usage of require('util') (dnlup) [#26773](https://github.com/nodejs/node/pull/26773)
* [[`c8d3a73c8b`](https://github.com/nodejs/node/commit/c8d3a73c8b)] - **lib**: use Array#includes instead of Array#indexOf (Weijia Wang) [#26732](https://github.com/nodejs/node/pull/26732)
* [[`1935625df4`](https://github.com/nodejs/node/commit/1935625df4)] - **src**: disallow constructor behaviour for native methods (Anna Henningsen) [#26700](https://github.com/nodejs/node/pull/26700)
* [[`11f8024d99`](https://github.com/nodejs/node/commit/11f8024d99)] - **benchmark**: replace deprecated and eliminate var in buffer-from.js (gengjiawen) [#26585](https://github.com/nodejs/node/pull/26585)
* [[`4643fd78b2`](https://github.com/nodejs/node/commit/4643fd78b2)] - **doc**: remove discord community (Aymen Naghmouchi) [#26830](https://github.com/nodejs/node/pull/26830)
* [[`f091d4e840`](https://github.com/nodejs/node/commit/f091d4e840)] - **src**: apply clang-tidy rule modernize-use-emplace (gengjiawen) [#26564](https://github.com/nodejs/node/pull/26564)
* [[`f47adfbda5`](https://github.com/nodejs/node/commit/f47adfbda5)] - **src**: fix DTrace GC callbacks DCHECKs and add cleanup (Joyee Cheung) [#26742](https://github.com/nodejs/node/pull/26742)
* [[`67c9f424b8`](https://github.com/nodejs/node/commit/67c9f424b8)] - **test**: refresh tmpdir in child-process-server-close (Luigi Pinca) [#26729](https://github.com/nodejs/node/pull/26729)
* [[`56199ec6af`](https://github.com/nodejs/node/commit/56199ec6af)] - **timers**: move big impl comment to /internal/ (Jeremiah Senkpiel) [#26761](https://github.com/nodejs/node/pull/26761)
* [[`ba1c5fffaf`](https://github.com/nodejs/node/commit/ba1c5fffaf)] - **test**: optimize test-http2-large-file (Rich Trott) [#26737](https://github.com/nodejs/node/pull/26737)
* [[`4306300b5e`](https://github.com/nodejs/node/commit/4306300b5e)] - **timers**: fix refresh inside callback (Anatoli Papirovski) [#26721](https://github.com/nodejs/node/pull/26721)
* [[`d933cc4b02`](https://github.com/nodejs/node/commit/d933cc4b02)] - **report**: remove duplicate TIME\_TYPE (cjihrig) [#26708](https://github.com/nodejs/node/pull/26708)
* [[`a7fdb42c1a`](https://github.com/nodejs/node/commit/a7fdb42c1a)] - **doc**: remove How Does LTS Work section from Collaborator Guide (Rich Trott) [#26723](https://github.com/nodejs/node/pull/26723)
* [[`4265021085`](https://github.com/nodejs/node/commit/4265021085)] - **doc**: condense LTS material in Collaborator Guide (Rich Trott) [#26722](https://github.com/nodejs/node/pull/26722)
* [[`614a7474ab`](https://github.com/nodejs/node/commit/614a7474ab)] - **perf_hooks**: reset prev\_ before starting ELD timer (Gerhard Stoebich) [#26693](https://github.com/nodejs/node/pull/26693)
* [[`78162ad570`](https://github.com/nodejs/node/commit/78162ad570)] - **doc**: document `error` event is optionally emitted after `.destroy()` (Sergey Zelenov) [#26589](https://github.com/nodejs/node/pull/26589)
* [[`4e08daabc8`](https://github.com/nodejs/node/commit/4e08daabc8)] - **benchmark**: use gfm for clarity (gengjiawen) [#26710](https://github.com/nodejs/node/pull/26710)
* [[`1f1914c9d4`](https://github.com/nodejs/node/commit/1f1914c9d4)] - **http2**: delete unused enum in node\_http2.h (gengjiawen) [#26704](https://github.com/nodejs/node/pull/26704)
* [[`197dbf60f1`](https://github.com/nodejs/node/commit/197dbf60f1)] - **process**: check no handle or request is active after bootstrap (Joyee Cheung) [#26593](https://github.com/nodejs/node/pull/26593)
* [[`9868d54411`](https://github.com/nodejs/node/commit/9868d54411)] - **worker**: create per-Environment message port after bootstrap (Joyee Cheung) [#26593](https://github.com/nodejs/node/pull/26593)
* [[`927f29d244`](https://github.com/nodejs/node/commit/927f29d244)] - **lib**: lazy load `v8` in error-serdes (Richard Lau) [#26689](https://github.com/nodejs/node/pull/26689)
* [[`e08ac04a1a`](https://github.com/nodejs/node/commit/e08ac04a1a)] - **doc**: add Note of options.stdio into child\_process (kohta ito) [#26604](https://github.com/nodejs/node/pull/26604)
* [[`cd9898a52a`](https://github.com/nodejs/node/commit/cd9898a52a)] - **doc**: add missing pr-url (cjihrig) [#26753](https://github.com/nodejs/node/pull/26753)
* [[`81edd0a6c6`](https://github.com/nodejs/node/commit/81edd0a6c6)] - **lib**: run prepareMainThreadExecution for third\_party\_main (Anna Henningsen) [#26677](https://github.com/nodejs/node/pull/26677)
* [[`ed2c6965d2`](https://github.com/nodejs/node/commit/ed2c6965d2)] - **test**: use EC cert property now that it exists (Sam Roberts) [#26598](https://github.com/nodejs/node/pull/26598)
* [[`97a919b12d`](https://github.com/nodejs/node/commit/97a919b12d)] - **inspector**: patch C++ debug options instead of process.\_breakFirstLine (Joyee Cheung) [#26602](https://github.com/nodejs/node/pull/26602)
* [[`a91d36fcc1`](https://github.com/nodejs/node/commit/a91d36fcc1)] - **process**: set the trace category update handler during bootstrap (Joyee Cheung) [#26605](https://github.com/nodejs/node/pull/26605)
* [[`e2a2f9398e`](https://github.com/nodejs/node/commit/e2a2f9398e)] - **test**: refactor trace event category tests (Joyee Cheung) [#26605](https://github.com/nodejs/node/pull/26605)
* [[`d398e8988c`](https://github.com/nodejs/node/commit/d398e8988c)] - **test**: add fs.watchFile() + worker.terminate() test (Anna Henningsen) [#21179](https://github.com/nodejs/node/pull/21179)
* [[`1a6fb71f71`](https://github.com/nodejs/node/commit/1a6fb71f71)] - **timers**: refactor timer callback initialization (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* [[`7866508482`](https://github.com/nodejs/node/commit/7866508482)] - **timers**: reduce usage of public util (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* [[`4980cc7d9b`](https://github.com/nodejs/node/commit/4980cc7d9b)] - **timers**: refactor to use module.exports (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* [[`84156cf10e`](https://github.com/nodejs/node/commit/84156cf10e)] - **module**: do not share the internal require function with public loaders (Joyee Cheung) [#26549](https://github.com/nodejs/node/pull/26549)
* [[`5fc6c1daed`](https://github.com/nodejs/node/commit/5fc6c1daed)] - **doc**: update spawnSync() status value possibilities (Rich Trott) [#26680](https://github.com/nodejs/node/pull/26680)
* [[`d6f6d7f854`](https://github.com/nodejs/node/commit/d6f6d7f854)] - **deps**: upgrade to libuv 1.27.0 (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* [[`04f30e1a7a`](https://github.com/nodejs/node/commit/04f30e1a7a)] - **test**: update test for libuv update (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* [[`ebcd50298e`](https://github.com/nodejs/node/commit/ebcd50298e)] - **src**: replace heap\_utils.createHeapSnapshot with v8.getHeapSnapshot (Joyee Cheung) [#26671](https://github.com/nodejs/node/pull/26671)
* [[`6d090124fd`](https://github.com/nodejs/node/commit/6d090124fd)] - **test**: fix intrinsics test (Ruben Bridgewater) [#26660](https://github.com/nodejs/node/pull/26660)
* [[`6e678b1b59`](https://github.com/nodejs/node/commit/6e678b1b59)] - **src,win**: fix usage of deprecated v8::Object::Set (Michaël Zasso) [#26735](https://github.com/nodejs/node/pull/26735)
* [[`cf51ee4dcf`](https://github.com/nodejs/node/commit/cf51ee4dcf)] - **src**: elevate v8 namespaces for PropertyAttribute (gengjiawen) [#26681](https://github.com/nodejs/node/pull/26681)
* [[`174da74701`](https://github.com/nodejs/node/commit/174da74701)] - **doc**: add ZYSzys to collaborators (ZYSzys) [#26730](https://github.com/nodejs/node/pull/26730)
* [[`36101558fd`](https://github.com/nodejs/node/commit/36101558fd)] - **src**: use EVPKeyPointer in more places (Ben Noordhuis) [#26632](https://github.com/nodejs/node/pull/26632)
* [[`1ceb6d8e9b`](https://github.com/nodejs/node/commit/1ceb6d8e9b)] - **tools**: update ESLint to 5.15.2 (cjihrig) [#26687](https://github.com/nodejs/node/pull/26687)
* [[`bab5544476`](https://github.com/nodejs/node/commit/bab5544476)] - **doc**: simplify force-push guidelines (Rich Trott) [#26699](https://github.com/nodejs/node/pull/26699)
* [[`72f578327a`](https://github.com/nodejs/node/commit/72f578327a)] - **tools**: update lint-md.js to lint rfc name format (Rich Trott) [#26727](https://github.com/nodejs/node/pull/26727)
* [[`3e781c5177`](https://github.com/nodejs/node/commit/3e781c5177)] - **doc**: make RFC references consistent (Rich Trott) [#26727](https://github.com/nodejs/node/pull/26727)
* [[`0a00933921`](https://github.com/nodejs/node/commit/0a00933921)] - **src**: remove unused variable in class InspectorSocketServer (gengjiawen) [#26633](https://github.com/nodejs/node/pull/26633)
* [[`daa97df343`](https://github.com/nodejs/node/commit/daa97df343)] - **child_process**: ensure message sanity at source (Gireesh Punathil) [#24787](https://github.com/nodejs/node/pull/24787)
* [[`993bdff9ff`](https://github.com/nodejs/node/commit/993bdff9ff)] - **report**: tidy up included headers (Richard Lau) [#26697](https://github.com/nodejs/node/pull/26697)
* [[`dace489099`](https://github.com/nodejs/node/commit/dace489099)] - **src**: use deleted function instead of private function in class AsyncWrap (gengjiawen) [#26634](https://github.com/nodejs/node/pull/26634)
* [[`b215bf9dac`](https://github.com/nodejs/node/commit/b215bf9dac)] - **src**: inline macro DISALLOW\_COPY\_AND\_ASSIGN (gengjiawen) [#26634](https://github.com/nodejs/node/pull/26634)
* [[`ed60e863e7`](https://github.com/nodejs/node/commit/ed60e863e7)] - **test**: fix test-heapdump-worker (Anna Henningsen) [#26713](https://github.com/nodejs/node/pull/26713)
* [[`3b6344ce42`](https://github.com/nodejs/node/commit/3b6344ce42)] - **doc**: note about DNS ANY queries / RFC 8482 (Thomas Hunter II) [#26695](https://github.com/nodejs/node/pull/26695)
* [[`8e308e8b28`](https://github.com/nodejs/node/commit/8e308e8b28)] - **deps,v8**: cherry-pick 385aa80 (Refael Ackermann) [#26702](https://github.com/nodejs/node/pull/26702)
* [[`6913bd183b`](https://github.com/nodejs/node/commit/6913bd183b)] - **test,console**: add testing for monkeypatching of console stdio (Rich Trott) [#26561](https://github.com/nodejs/node/pull/26561)
* [[`2f9c9eebb4`](https://github.com/nodejs/node/commit/2f9c9eebb4)] - **tools**: tidy function arguments in eslint rules (Rich Trott) [#26668](https://github.com/nodejs/node/pull/26668)
* [[`6608cf286d`](https://github.com/nodejs/node/commit/6608cf286d)] - **build,deps,v8**: tie up loose ends (Refael Ackermann) [#26666](https://github.com/nodejs/node/pull/26666)
* [[`269103a0e5`](https://github.com/nodejs/node/commit/269103a0e5)] - **stream**: fix regression introduced in #26059 (Matteo Collina) [#26643](https://github.com/nodejs/node/pull/26643)
* [[`c5e619b8ff`](https://github.com/nodejs/node/commit/c5e619b8ff)] - **test**: remove unnecessary semicolon after macro (Yang Guo) [#26618](https://github.com/nodejs/node/pull/26618)
* [[`22de2cfb71`](https://github.com/nodejs/node/commit/22de2cfb71)] - **doc**: simplify Troubleshooting text (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* [[`ee4f32f27c`](https://github.com/nodejs/node/commit/ee4f32f27c)] - **doc**: update copy/paste error message in Troubleshooting (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* [[`5a23a87663`](https://github.com/nodejs/node/commit/5a23a87663)] - **report**: use LocalTime from DiagnosticFilename (Richard Lau) [#26647](https://github.com/nodejs/node/pull/26647)
* [[`d268114497`](https://github.com/nodejs/node/commit/d268114497)] - **report**: use DiagnosticFilename for default filename (Richard Lau) [#26647](https://github.com/nodejs/node/pull/26647)
* [[`0752a18b88`](https://github.com/nodejs/node/commit/0752a18b88)] - **src**: fix warning in node\_messaging (ZYSzys) [#26682](https://github.com/nodejs/node/pull/26682)
* [[`c32615ccac`](https://github.com/nodejs/node/commit/c32615ccac)] - **src**: remove usage of deprecated IsNearDeath (Michaël Zasso) [#26630](https://github.com/nodejs/node/pull/26630)
* [[`169b7f1f3b`](https://github.com/nodejs/node/commit/169b7f1f3b)] - **lib**: make lowerProto scope more clear (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* [[`ccdaa434b8`](https://github.com/nodejs/node/commit/ccdaa434b8)] - **repl**: remove redundant initialization (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* [[`2788fd6b98`](https://github.com/nodejs/node/commit/2788fd6b98)] - **http**: delay ret declaration in method \_flushOutput (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* [[`cd8b7391dc`](https://github.com/nodejs/node/commit/cd8b7391dc)] - **net**: some scattered cleanup (oyyd) [#24128](https://github.com/nodejs/node/pull/24128)
* [[`d78d33d691`](https://github.com/nodejs/node/commit/d78d33d691)] - **report**: remove unnecessary return in setters (Rich Trott) [#26614](https://github.com/nodejs/node/pull/26614)
* [[`8549ac09b2`](https://github.com/nodejs/node/commit/8549ac09b2)] - **doc**: add Gireesh to TSC (Rich Trott) [#26657](https://github.com/nodejs/node/pull/26657)
* [[`107c95da0d`](https://github.com/nodejs/node/commit/107c95da0d)] - **doc**: edit "Technical How-To" section of guide (Rich Trott) [#26601](https://github.com/nodejs/node/pull/26601)
* [[`0c1e93b9ef`](https://github.com/nodejs/node/commit/0c1e93b9ef)] - **test**: whitelist the expected modules in test-bootstrap-modules.js (Richard Lau) [#26531](https://github.com/nodejs/node/pull/26531)
* [[`575e086b66`](https://github.com/nodejs/node/commit/575e086b66)] - **src**: apply clang-tidy rule modernize-make-unique (gengjiawen) [#26493](https://github.com/nodejs/node/pull/26493)
* [[`247c14c040`](https://github.com/nodejs/node/commit/247c14c040)] - **crypto**: fix EdDSA support for KeyObject (Brian White) [#26319](https://github.com/nodejs/node/pull/26319)
* [[`4c4e4f4bda`](https://github.com/nodejs/node/commit/4c4e4f4bda)] - **http**: reduce usage of public util (ZYSzys) [#26548](https://github.com/nodejs/node/pull/26548)
* [[`0a95c87dc6`](https://github.com/nodejs/node/commit/0a95c87dc6)] - **process**: create legacy process properties during pre-execution (Joyee Cheung) [#26517](https://github.com/nodejs/node/pull/26517)
* [[`728c939e57`](https://github.com/nodejs/node/commit/728c939e57)] - **process**: delay process.argv\[0\] and process.argv0 handling (Joyee Cheung) [#26517](https://github.com/nodejs/node/pull/26517)
* [[`eb0bf8d307`](https://github.com/nodejs/node/commit/eb0bf8d307)] - **test**: show stderr on v8 coverage test failures (Joyee Cheung) [#26513](https://github.com/nodejs/node/pull/26513)
* [[`0a3bcdd261`](https://github.com/nodejs/node/commit/0a3bcdd261)] - **src**: refactor coverage connection (Joyee Cheung) [#26513](https://github.com/nodejs/node/pull/26513)
* [[`06879aafee`](https://github.com/nodejs/node/commit/06879aafee)] - **doc**: fix year in changelog (Colin Prince) [#26584](https://github.com/nodejs/node/pull/26584)
* [[`ee2d2638ad`](https://github.com/nodejs/node/commit/ee2d2638ad)] - **process**: delay creation of process.env after bootstrap/node.js (Joyee Cheung) [#26515](https://github.com/nodejs/node/pull/26515)
* [[`8d669bbeb1`](https://github.com/nodejs/node/commit/8d669bbeb1)] - **process**: refactor global.queueMicrotask() (Joyee Cheung) [#26523](https://github.com/nodejs/node/pull/26523)
* [[`3ad8f61236`](https://github.com/nodejs/node/commit/3ad8f61236)] - **worker**: allow execArgv and eval in combination (Anna Henningsen) [#26533](https://github.com/nodejs/node/pull/26533)
* [[`d57d09905e`](https://github.com/nodejs/node/commit/d57d09905e)] - **src**: forbid access to CLI options before bootstrapping is done (Joyee Cheung) [#26476](https://github.com/nodejs/node/pull/26476)
* [[`3afa5d7ba8`](https://github.com/nodejs/node/commit/3afa5d7ba8)] - **crypto**: improve error handling in parseKeyEncoding (Tobias Nießen) [#26455](https://github.com/nodejs/node/pull/26455)
* [[`b05fd4baa8`](https://github.com/nodejs/node/commit/b05fd4baa8)] - **lib**: explicitly initialize debuglog during bootstrap (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* [[`687f30467b`](https://github.com/nodejs/node/commit/687f30467b)] - **process**: call prepareMainThreadExecution in all main thread scripts (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* [[`21440c8acd`](https://github.com/nodejs/node/commit/21440c8acd)] - **lib**: move format and formatWithOptions into internal/util/inspect.js (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* [[`f617a732f8`](https://github.com/nodejs/node/commit/f617a732f8)] - **process**: handle process.env.NODE\_V8\_COVERAGE in pre-execution (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* [[`d7543a79d6`](https://github.com/nodejs/node/commit/d7543a79d6)] - **process**: set up process warning handler in pre-execution (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* [[`f9b76c3bf4`](https://github.com/nodejs/node/commit/f9b76c3bf4)] - **process**: call `prepareMainThreadExecution` in `node inspect` (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* [[`76e67e9884`](https://github.com/nodejs/node/commit/76e67e9884)] - **lib**: assign missed deprecation code (Anna Henningsen) [#26492](https://github.com/nodejs/node/pull/26492)
* [[`e95e7f9af5`](https://github.com/nodejs/node/commit/e95e7f9af5)] - **stream**: make sure 'readable' is emitted before ending the stream (Matteo Collina) [#26059](https://github.com/nodejs/node/pull/26059)
* [[`2c6d94f3db`](https://github.com/nodejs/node/commit/2c6d94f3db)] - **src**: fix warnings around node\_options (Refael Ackermann) [#26280](https://github.com/nodejs/node/pull/26280)
* [[`af8b92c073`](https://github.com/nodejs/node/commit/af8b92c073)] - **src**: refactor node options parsers to mitigate MSVC bug (Refael Ackermann) [#26280](https://github.com/nodejs/node/pull/26280)
* [[`4afd503465`](https://github.com/nodejs/node/commit/4afd503465)] - **doc,test,repl**: fix deprecation code (cjihrig) [#26368](https://github.com/nodejs/node/pull/26368)
* [[`7e0ddf66b9`](https://github.com/nodejs/node/commit/7e0ddf66b9)] - **doc**: fix deprecation "End-of-Life" capitalization (Tobias Nießen) [#26251](https://github.com/nodejs/node/pull/26251)
* [[`a1d05e49fe`](https://github.com/nodejs/node/commit/a1d05e49fe)] - **timers**: support name in validateTimerDuration() (cjihrig) [#26215](https://github.com/nodejs/node/pull/26215)
* [[`3d4db3a7bf`](https://github.com/nodejs/node/commit/3d4db3a7bf)] - **doc**: fix metadata of DEP0114 (Tobias Nießen) [#26250](https://github.com/nodejs/node/pull/26250)
* [[`b200a46bef`](https://github.com/nodejs/node/commit/b200a46bef)] - **src**: remove `process.binding('config').debugOptions` (Joyee Cheung) [#25999](https://github.com/nodejs/node/pull/25999)
* [[`2ffd20bb91`](https://github.com/nodejs/node/commit/2ffd20bb91)] - **build,win**: emit MSBuild summary (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`ff4adab78c`](https://github.com/nodejs/node/commit/ff4adab78c)] - **build,win**: always build with PCH (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`6ac80f0e2b`](https://github.com/nodejs/node/commit/6ac80f0e2b)] - **build,src**: add PCH to node.gypi (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`4698757610`](https://github.com/nodejs/node/commit/4698757610)] - **build,deps**: remove cygwin configuration which is not supported (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`cd5c7bf240`](https://github.com/nodejs/node/commit/cd5c7bf240)] - **build,deps**: use PCH also for v8\_initializers (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`82b798907d`](https://github.com/nodejs/node/commit/82b798907d)] - **build,tools**: add more headers to V8 PCH file (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`20a917c571`](https://github.com/nodejs/node/commit/20a917c571)] - **build**: move optimizing link directives to node.exe target (Refael Ackermann) [#25931](https://github.com/nodejs/node/pull/25931)
* [[`c2d374fccc`](https://github.com/nodejs/node/commit/c2d374fccc)] - **src**: remove unused method in env.h (gengjiawen) [#25934](https://github.com/nodejs/node/pull/25934)
* [[`00d49ad673`](https://github.com/nodejs/node/commit/00d49ad673)] - **tls**: null not valid as a renegotiate callback (Sam Roberts) [#25929](https://github.com/nodejs/node/pull/25929)
* [[`55569759b3`](https://github.com/nodejs/node/commit/55569759b3)] - **src**: pass along errors from PromiseWrap instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* [[`d1b7193428`](https://github.com/nodejs/node/commit/d1b7193428)] - **deps,v8**: silence V8 self-deprecation warnings (Refael Ackermann) [#25394](https://github.com/nodejs/node/pull/25394)
* [[`ccf37b3a84`](https://github.com/nodejs/node/commit/ccf37b3a84)] - **doc**: fix deprecations metadata (Richard Lau) [#25434](https://github.com/nodejs/node/pull/25434)
* [[`ddbb7d7777`](https://github.com/nodejs/node/commit/ddbb7d7777)] - **deps**: cherry-pick 56f6a76 from upstream V8 (Ruben Bridgewater) [#25269](https://github.com/nodejs/node/pull/25269)
* [[`59fa7f1257`](https://github.com/nodejs/node/commit/59fa7f1257)] - **deps**: cherry-pick 26b145a from upstream V8 (Sam Roberts) [#25148](https://github.com/nodejs/node/pull/25148)
* [[`ca9c0c90c2`](https://github.com/nodejs/node/commit/ca9c0c90c2)] - **src**: add .code and SSL specific error properties (Sam Roberts) [#25093](https://github.com/nodejs/node/pull/25093)
* [[`3614157b78`](https://github.com/nodejs/node/commit/3614157b78)] - **doc**: fix lint in CHANGELOG\_V6 (Myles Borins) [#25233](https://github.com/nodejs/node/pull/25233)
* [[`a9812142ca`](https://github.com/nodejs/node/commit/a9812142ca)] - **deps**: patch V8 to 7.1.302.33 (Ruben Bridgewater) [#25101](https://github.com/nodejs/node/pull/25101)
* [[`f0e460968e`](https://github.com/nodejs/node/commit/f0e460968e)] - **deps**: remove test-related GYP files (Michaël Zasso) [#25097](https://github.com/nodejs/node/pull/25097)
* [[`0f58ae392b`](https://github.com/nodejs/node/commit/0f58ae392b)] - **util**: `format()` now formats bigint and booleans (Ruben Bridgewater) [#25046](https://github.com/nodejs/node/pull/25046)
* [[`928f776385`](https://github.com/nodejs/node/commit/928f776385)] - **doc**: add missing pr-url (cjihrig) [#25091](https://github.com/nodejs/node/pull/25091)
* [[`9752fce34d`](https://github.com/nodejs/node/commit/9752fce34d)] - **util**: improve format performance (Ruben Bridgewater) [#24981](https://github.com/nodejs/node/pull/24981)
* [[`24e6b709ea`](https://github.com/nodejs/node/commit/24e6b709ea)] - **src**: use isolate version of BooleanValue() (cjihrig) [#24883](https://github.com/nodejs/node/pull/24883)
* [[`43273262e5`](https://github.com/nodejs/node/commit/43273262e5)] - **doc**: describe secureProtocol and CLI interaction (Sam Roberts) [#24386](https://github.com/nodejs/node/pull/24386)
* [[`54b4beb506`](https://github.com/nodejs/node/commit/54b4beb506)] - **tls**: support TLS\_client\_method, TLS\_server\_method (Sam Roberts) [#24386](https://github.com/nodejs/node/pull/24386)
* [[`34eccb2a1b`](https://github.com/nodejs/node/commit/34eccb2a1b)] - **doc**: fix missing PR id of 23329 (Ouyang Yadong) [#24458](https://github.com/nodejs/node/pull/24458)
* [[`323a365766`](https://github.com/nodejs/node/commit/323a365766)] - **deps**: float 26d7fce1 from openssl (Rod Vagg) [#24353](https://github.com/nodejs/node/pull/24353)
* [[`3235d318dc`](https://github.com/nodejs/node/commit/3235d318dc)] - **test**: add test for \_setSimultaneousAccepts() (Andrey Melikhov) [#24180](https://github.com/nodejs/node/pull/24180)
* [[`d8fb81fab3`](https://github.com/nodejs/node/commit/d8fb81fab3)] - **deps**: float 99540ec from openssl (CVE-2018-0735) (Rod Vagg) [#23950](https://github.com/nodejs/node/pull/23950)
* [[`213c7d2d64`](https://github.com/nodejs/node/commit/213c7d2d64)] - **deps**: float a9cfb8c2 from openssl (CVE-2018-0734) (Rod Vagg) [#23965](https://github.com/nodejs/node/pull/23965)
* [[`e2260e901d`](https://github.com/nodejs/node/commit/e2260e901d)] - **deps**: float 415c3356 from openssl (DSA vulnerability) (Rod Vagg) [#23965](https://github.com/nodejs/node/pull/23965)
* [[`db2ac1dbd9`](https://github.com/nodejs/node/commit/db2ac1dbd9)] - **doc**: fix headings for CHANGELOG\_v10.md (Myles Borins) [#23973](https://github.com/nodejs/node/pull/23973)
* [[`b0089a580f`](https://github.com/nodejs/node/commit/b0089a580f)] - **src**: make model counter in `GetCPUInfo()` unsigned (Anna Henningsen) [#23880](https://github.com/nodejs/node/pull/23880)
* [[`c99026bdd7`](https://github.com/nodejs/node/commit/c99026bdd7)] - **doc**: update missing deprecation (cjihrig) [#23883](https://github.com/nodejs/node/pull/23883)

